package com.tofly.ghrq_route.module.message.service;

import com.gaoyuan.weixinrecord.example.Record;
import com.tofly.ghrq_route.module.message.controller.MessageCallBack;
import com.tofly.ghrq_route.module.trouble.domain.TroubleBean;
import com.tofly.ghrq_route.module.trouble.domain.TroublePictureBean;

import java.util.List;

/**
 * Created by Amu on 2017/5/3.
 */

public interface IMessageService {
    /**
     * 获取接受信息列表
     */
    public void getRecvMsgList(String token, int isread, int pageindex, int pagesize, MessageCallBack messageCallBack);
    public void getRecvMsgList1(String token, int isread, int pageindex, int pagesize, String content, MessageCallBack messageCallBack);

    /**
     * 获取已发信息列表
     */
    public void getSendMsgList(String token, int pageindex, int pagesize, String content, MessageCallBack messageCallBack);

    /**
     * 设置接受消息已读
     */
    public void setRecvMsgReaded(String token, String ids, MessageCallBack messageCallBack);

    /**
     * 删除接受消息
     */
    public void deleteRecvMsg(String token, String ids, MessageCallBack messageCallBack);

    /**
     * 删除发送消息
     */
    public void deleteSendMsg(String token, String ids, MessageCallBack messageCallBack);

    /**
     * 发送消息
     */
    public void sendMsg(int id, String message, String receipt, List<TroublePictureBean> photos, List<Record> audios, MessageCallBack messageCallBack);

    /**
     * 发送消息
     */
    public void sendHelpMsg(String token, TroubleBean trouble, List<TroublePictureBean> photos, List<Record> audios, MessageCallBack messageCallBack);

    /**
     * 获取消息详情
     */
    public void getMsgDetail(String id, MessageCallBack messageCallBack);
}
